Compute - List Nodes

Haal de details op (bijvoorbeeld IP-adres, poort, enzovoort) van alle rekenknooppunten in de berekening.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.MachineLearningServices/workspaces/{workspaceName}/computes/{computeName}/listNodes?api-version=2026-03-01

URI-parameters

Name In Vereist Type Description
computeName
path True

string

pattern: ^[a-zA-Z](?![a-zA-Z0-9-]*-\d+$)[a-zA-Z0-9\-]{2,23}$

Naam van de Azure Machine Learning compute.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

De naam van de resourcegroep. De naam is hoofdletterongevoelig.

subscriptionId
path True

string

minLength: 1

De ID van het doelabonnement.

workspaceName
path True

string

pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]{2,32}$

Naam van Azure Machine Learning werkruimte

api-version
query True

string

minLength: 1

De API-versie die voor deze bewerking moet worden gebruikt.

Antwoorden

Name Type Description
200 OK

AmlComputeNodesInformation

Azure-operatie succesvol voltooid.

Other Status Codes

ErrorResponse

Een onverwachte foutreactie.

Beveiliging

azure_auth

OAuth2-stroom voor Azure Active Directory.

Type: oauth2
Stroom: implicit
Autorisatie-URL: https://login.microsoftonline.com/common/oauth2/authorize

Bereiken

Name Description
user_impersonation Uw gebruikersaccount imiteren

Voorbeelden

Get compute nodes information for a compute

Voorbeeldaanvraag

POST https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/testrg123/providers/Microsoft.MachineLearningServices/workspaces/workspaces123/computes/compute123/listNodes?api-version=2026-03-01

Voorbeeldrespons

{
  "nextLink": "https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/testrg123/providers/Microsoft.MachineLearningServices/workspaces/workspaces123/computes/compute123/listNodes?api-version=2025-07-01-preview&$skip=2",
  "nodes": [
    {
      "nodeId": "tvm-3601533753_1-20170719t162906z",
      "nodeState": "running",
      "port": 50000,
      "privateIpAddress": "13.84.190.124",
      "publicIpAddress": "13.84.190.134",
      "runId": "2f378a44-38f2-443a-9f0d-9909d0b47890"
    },
    {
      "nodeId": "tvm-3601533753_2-20170719t162906z",
      "nodeState": "idle",
      "port": 50001,
      "privateIpAddress": "13.84.190.124",
      "publicIpAddress": "13.84.190.134"
    }
  ]
}

Definities

Name Description
AmlComputeNodeInformation

Bereken knooppuntinformatie met betrekking tot een AmlCompute.

AmlComputeNodesInformation

Resultaat van AmlCompute Nodes

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

ErrorDetail

De foutdetails.

ErrorResponse

Foutreactie

NodeState

Status van het rekenknooppunt. Waarden zijn inactief, actief, voorbereidend, onbruikbaar, vertrekkend en gepreempt.

AmlComputeNodeInformation

Bereken knooppuntinformatie met betrekking tot een AmlCompute.

Name Type Description
nodeId

string

Knooppunt-ID.
ID van het rekenknooppunt.

nodeState

NodeState

Status van het rekenknooppunt. Waarden zijn inactief, actief, voorbereidend, onbruikbaar, vertrekkend en gepreempt.

port

integer (int32)

Haven.
SSH-poortnummer van het knooppunt.

privateIpAddress

string

Privé-IP-adres.
Privé IP-adres van de compute node.

publicIpAddress

string

Openbaar IP-adres.
Openbaar IP-adres van de compute node.

runId

string

ID uitvoeren.
ID van het experiment dat op het knooppunt wordt uitgevoerd, indien van toepassing null.

AmlComputeNodesInformation

Resultaat van AmlCompute Nodes

Name Type Description
nextLink

string

Het vervolgtoken.

nodes

AmlComputeNodeInformation[]

De verzameling van geretourneerde AmlCompute-knooppunten details.

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

Name Type Description
info

object

De aanvullende informatie.

type

string

Het extra informatietype.

ErrorDetail

De foutdetails.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

De fout bevat aanvullende informatie.

code

string

De foutcode.

details

ErrorDetail[]

De foutdetails.

message

string

Het foutbericht.

target

string

Het foutdoelwit.

ErrorResponse

Foutreactie

Name Type Description
error

ErrorDetail

Het foutobject.

NodeState

Status van het rekenknooppunt. Waarden zijn inactief, actief, voorbereidend, onbruikbaar, vertrekkend en gepreempt.

Waarde Description
idle
running
preparing
unusable
leaving
preempted